package cz.moneta.test.dsl.util.task.cagw.api;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.cagw.api.v2.external.client.kyc.businesscard.BusinessCard;

import java.util.function.Function;

public class BusinessCardTasks {

    private final Harness harness;

    public BusinessCardTasks(Harness harness) {
        this.harness = harness;
    }

    public Function<BusinessCard, BusinessCard> setRequestValues(String authToken) {
        return start -> start.withAuthorizationBearer("Bearer " + authToken);
    }
}